Subject: bug#64451: 30.0.50; split-root-window-right ignores side windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jul 2023 12:09:32 +0300

> Date: Fri, 7 Jul 2023 15:57:12 +0200
> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> 
> There are two bugs.  The first one is that splitting a root window with
> side windows is always an error unless a new side window on another side
> should be made.  This should be fixed by the attached patch.
> 
> The second bug is that the 'split-root-window-...' functions probably
> should split 'window-main-window' on that frame instead.  I'd rather
> leave the fix for that to the people who wrote those functions.

Hugo, I guess this means you?  Could you please look into this issue?

Thanks.